//go:build cgo && !disable_library_libdav1d

package main

import (
	"git.gammaspectra.live/S.O.N.G/Ignite/decoder"
	"git.gammaspectra.live/S.O.N.G/Ignite/decoder/libdav1d"
	"io"
)

func init() {
	Decoders = append(Decoders, DecoderEntry{
		Name:     DecoderDav1d,
		Version:  libdav1d.Version,
		MimeType: "video/x-ivf",
		New: func(w io.Reader, settings map[string]any) (decoder.Decoder, error) {
			return libdav1d.NewDecoder(w, settings)
		},
	})
}
