package main

import (
	"git.gammaspectra.live/S.O.N.G/Ignite/decoder"
	"git.gammaspectra.live/S.O.N.G/Ignite/decoder/ffmpeg"
	"io"
)

func init() {
	Decoders = append(Decoders, DecoderEntry{
		Name: DecoderFFMPEG,
		Version: func() string {
			return "1.0"
		},
		MimeType: "*",
		New: func(w io.Reader, settings map[string]any) (decoder.Decoder, error) {
			return ffmpeg.NewDecoder(w, settings)
		},
	})
}
