package main

import (
	"git.gammaspectra.live/S.O.N.G/Ignite/decoder"
	"git.gammaspectra.live/S.O.N.G/Ignite/decoder/y4m"
	"io"
)

func init() {
	Decoders = append(Decoders, DecoderEntry{
		Name: DecoderY4M,
		Version: func() string {
			return "1.0"
		},
		MimeType: "video/x-yuv4mpeg2",
		New: func(w io.Reader, settings map[string]any) (decoder.Decoder, error) {
			return y4m.NewDecoder(w, settings)
		},
	})
}
