package encode_utils

import (
	"git.gammaspectra.live/S.O.N.G/Ignite/frame"
	"git.gammaspectra.live/S.O.N.G/Ignite/utilities"
)

type JobConfig struct {
	Encoder struct {
		Name     string         `json:"name" yaml:"name"`
		Settings map[string]any `json:"settings" yaml:"settings"`
	} `json:"encoder" yaml:"encoder"`

	Properties frame.StreamProperties `json:"properties" yaml:"properties"`

	Decoder struct {
		Settings map[string]any `json:"settings" yaml:"settings"`
	}

	TimecodesV1 string              `json:"timecodes_v1" yaml:"timecodes_v1"`
	Timecodes   utilities.Timecodes `json:"timecodes" yaml:"timecodes"`
}
