package encoder

import "git.gammaspectra.live/S.O.N.G/Ignite/frame"

type Encoder interface {
	Encode(f frame.Frame) error
	EncodeStream(stream *frame.Stream) error
	Flush() error
	Close()
	Version() string
}

type EncoderWithStatistics interface {
	Encoder
	Statistics() frame.Statistics
}
