package utilities

import (
	"log"
)

type Logger interface {
	Panic(v ...any)
	Panicf(format string, v ...any)
	Print(v ...any)
	Printf(format string, v ...any)
	Fatal(v ...any)
	Fatalf(format string, v ...any)
}

func DefaultLogger() Logger {
	return log.Default()
}
